Bug 29367 - sendmail overwrites existing sendmail.cf
Summary: sendmail overwrites existing sendmail.cf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-25 11:27 UTC by Henri Schlereth
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 10:34:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Henri Schlereth 2001-02-25 11:27:19 UTC
It does not do even an rpmsave on the original sendmail.cf 
Additionally it has that horrible daemon port ip address set to
lo/127.0.0.1
This will catch many unwary people who will see sendmail running and wonder
why they get deferred/connection refused.

Comment 1 Glen Foster 2001-02-26 22:59:46 UTC
We need to reproduce this behavior locally to understand more about it; e.g.,
modify the config file, upgrade the RPM and verify that it's not making an
.rpmsave file for sendmail.cf...

Comment 2 Glen Foster 2001-02-26 23:55:01 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 3 Preston Brown 2001-02-27 23:27:48 UTC
changed to be %config(noreplace) in 8.11.2-12 and later.

Comment 4 Enrico Scholz 2001-05-19 00:36:20 UTC
In 8.11.3 it is still/again

%config                         /etc/sendmail.cf


Comment 5 Jonathan Kamens 2001-06-18 14:56:39 UTC
I am changing the priority of this bug to High.  I don't understand why it has
languished, unfixed, for a month, when Glen has already indicated that it is a
must-fix bug, and when it is so easy to fix.


Comment 6 Florian La Roche 2001-07-06 09:11:30 UTC
We have discussed this issue for some time internally and it is best for
customers updating from earlier releases to get a current sendmail.cf
written instead of keeping too old versions or keeping insecure versions.

I understand this is bad for mail servers.

Next round of changes can be done for sendmail 8.12 or newer to have a
good start with then working updates.

Florian La Roche


Comment 7 Enrico Scholz 2001-07-06 10:34:30 UTC
Sorry, but I am running sendmail in an workstation-setup also and the default
sendmail.cf is not working for me:

- I am behind a firewall. Therefore there must be used a SMART_HOST/null_client
whose value can not be generalized

- I have to use a GENERICS_DOMAIN which can not be generalized

- Red Hat has set FEATURE(`accept_unresolvable_domains'). This is not acceptable
here


These are only a few issues, but at least the first two are probably occuring in
 a lot/the most of real-worl installations, especially in firms. The current
practice makes only a few people happy running the default RH configuration.

For the other ones it's annoying to have a non-working mail-server with more
relaxed security settings, which is spewing messages about non-delivered
messages aroung.

To make a clean update of older versions why don't destroy^Woverride sendmail.cf
in the %post step?

---------- [untested] ------------
%post
echo '$Z' | /usr/lib/sendmail -bt | grep -q '^> 8.11' || %{__cp}
%{_docdir}/sendmail/sendmail-rh.cf %{_sysconfdir}/sendmail.cf
----------------------------------

Comment 8 Florian La Roche 2001-07-23 12:39:41 UTC
sendmail is now changed to %config(noreplace), so that updates can be
installed without overwriting sendmail.cf.

Please bugzilla if you think other options should be changed in the
default .mc file.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.